> ## Documentation Index
> Fetch the complete documentation index at: https://support.i.moneyforward.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get permissions for a file in a workspace

> Get detailed permissions information for a specific file in a workspace



## OpenAPI

````yaml https://api.itmc.i.moneyforward.com/public-api/docs/v1-json get /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/files/{fileId}/permissions
openapi: 3.0.0
info:
  title: Admina Public API
  description: >-
    Admina API is a RESTfull API providing programmatic access to much of the
    data in the system. It provides predictable URLs for accessing resources,
    and uses built-in HTTP features to receive commands and return responses.
    This makes it easy to communicate with from a wide variety of environments,
    from command-line utilities to gadgets to the browser URL bar itself.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.itmc.i.moneyforward.com
security: []
tags:
  - name: Organizations
    description: ''
  - name: Users
    description: ''
  - name: Directory
    description: ''
  - name: Departments
    description: ''
  - name: Locations
    description: ''
  - name: Companies
    description: ''
  - name: People
    description: ''
  - name: Workspaces
    description: ''
  - name: Custom Service and Workspace
    description: ''
  - name: Workspace Accounts
    description: ''
  - name: Accounts
    description: ''
  - name: Contracts
    description: ''
  - name: Devices
    description: ''
  - name: Devices (alpha)
    description: ''
  - name: Alerts
    description: ''
  - name: Spends
    description: ''
  - name: Usage Optimization
    description: ''
  - name: Services
    description: ''
  - name: Requests
    description: ''
  - name: AuditLogs
    description: ''
  - name: EventLogs
    description: ''
paths:
  /api/v1/organizations/{organizationId}/workspaces/{workspaceId}/files/{fileId}/permissions:
    get:
      tags:
        - Workspaces
      summary: Get permissions for a file in a workspace
      description: Get detailed permissions information for a specific file in a workspace
      operationId: publicGetWorkspaceFilePermissions
      parameters:
        - name: organizationId
          required: true
          in: path
          schema:
            type: number
        - name: workspaceId
          required: true
          in: path
          schema:
            type: number
        - name: fileId
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            example: 50
            type: number
        - name: cursor
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWorkspaceFilePermissionsResponseDto'
      security:
        - API-Key: []
components:
  schemas:
    GetWorkspaceFilePermissionsResponseDto:
      type: object
      properties:
        meta:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/CursorPaginationMeta'
        items:
          readOnly: true
          type: array
          items:
            $ref: '#/components/schemas/WorkspaceFilePermissionResponseDto'
      required:
        - meta
        - items
    CursorPaginationMeta:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
          readOnly: true
          example: F3UdkoSbpBNrjwP93AX2HQ
        totalItems:
          type: number
          nullable: true
          readOnly: true
          example: 1
      required:
        - nextCursor
    WorkspaceFilePermissionResponseDto:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          example: 1gr23u79r
        type:
          readOnly: true
          example: group
          allOf:
            - $ref: '#/components/schemas/WorkspaceFilePermissionType'
        scope:
          readOnly: true
          example: external
          allOf:
            - $ref: '#/components/schemas/WorkspaceFilePermissionScope'
        isOwner:
          type: boolean
          readOnly: true
          example: false
        canChangePermission:
          type: boolean
          readOnly: true
          example: true
        accounts:
          readOnly: true
          example:
            - foo@example.com
            - bar@example.com
          type: array
          items:
            $ref: '#/components/schemas/WorkspaceFileAuthorizedAccount'
        name:
          type: string
          readOnly: true
          example: foo
        sharingLink:
          type: string
          readOnly: true
          example: foo
        safeListIdentifier:
          type: string
          readOnly: true
          example: foo
        isMarkedSafe:
          type: boolean
          readOnly: true
          example: false
      required:
        - id
        - type
        - scope
        - isOwner
        - canChangePermission
        - accounts
        - isMarkedSafe
    WorkspaceFilePermissionType:
      type: string
      enum:
        - user
        - group
        - link
        - public_responses
    WorkspaceFilePermissionScope:
      type: string
      enum:
        - internal
        - external
    WorkspaceFileAuthorizedAccount:
      type: object
      properties:
        email:
          type: string
          readOnly: true
          example: foo@example.com
        status:
          readOnly: true
          example: on_leave
          allOf:
            - $ref: '#/components/schemas/PeopleStatus'
        type:
          readOnly: true
          example: unknown
          allOf:
            - $ref: '#/components/schemas/PeopleType'
        name:
          type: string
          nullable: true
          readOnly: true
          example: Foo Bar Baz
      required:
        - email
        - status
        - type
    PeopleStatus:
      type: string
      enum:
        - active
        - suspended
        - on_leave
    PeopleType:
      type: string
      enum:
        - employee
        - guest
        - system
        - unknown
  securitySchemes:
    API-Key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: >-
        For authenticated requests, set the `Authorization: Bearer your_api_key`
        parameter in the header. <br/>You can create and manage your API Keys by
        visiting the **API Keys** tab in the **Settings** page of your
        organization in <a target='_blank'
        href='https://itmc.i.moneyforward.com/'>Admina</a>

````